<script>
  	import Jpeg from '../profile.avif?format=jpeg';
</script>

<svelte:head>

<title>Kaan Barmore-Genç's Portfolio</title>
	<meta property="og:title" content="Kaan Barmore-Genç's Portfolio" />
	<meta property="og:image" content={`https://bgenc.net${Jpeg}`} />
</svelte:head>

## Featured Projects

### [Bulgur Cloud](https://github.com/bulgur-cloud/bulgur-cloud) [![GitHub Repo stars](https://img.shields.io/github/stars/bulgur-cloud/bulgur-cloud)](https://github.com/bulgur-cloud/bulgur-cloud) [![Docker Pulls](https://img.shields.io/docker/pulls/seriousbug/bulgur-cloud)](https://github.com/bulgur-cloud/bulgur-cloud)

Bulgur Cloud offers a user-friendly, self-hosted file storage and sharing platform with emphasis on hassle-free setup and maintenance. Built with modern web technologies: Rust (Actix-Web) for a robust backend and TypeScript (React, Next.js) for an intuitive interface.

### [Rust Embed for Web](https://github.com/SeriousBug/rust-embed-for-web) and [Responder for Actix Web](https://github.com/SeriousBug/actix-web-rust-embed-responder) [![GitHub Repo stars](https://img.shields.io/github/stars/SeriousBug/rust-embed-for-web)](https://github.com/SeriousBug/rust-embed-for-web) [![Crates.io](https://img.shields.io/crates/d/rust-embed-for-web)](https://github.com/SeriousBug/rust-embed-for-web)

Rust Embed for Web simplifies web asset management by enabling direct embedding of HTML, CSS, and JavaScript into Rust executables. This ensures deployment consistency and includes performance optimizations like pre-computed headers and compression. The companion project, Rust Embed Responder for Actix Web, is tailored to efficiently serve embedded assets with intelligent caching and content negotiation, with a focus on high-performance web delivery.

### [Cuttlestore](https://github.com/SeriousBug/cuttlestore) [![GitHub Repo stars](https://img.shields.io/github/stars/SeriousBug/cuttlestore)](https://github.com/SeriousBug/cuttlestore) [![Crates.io](https://img.shields.io/crates/d/cuttlestore)](https://github.com/SeriousBug/cuttlestore)

Cuttlestore provides a versatile abstraction layer for interacting with popular key-value stores like Redis and SQLite (with support for CouchDB and DynamoDB planned). This streamlines development, facilitates switching between storage backends, and promotes adaptable application design.

### [live limit](https://github.com/SeriousBug/live-limit) [![GitHub Repo stars](https://img.shields.io/github/stars/SeriousBug/live-limit)](https://github.com/SeriousBug/live-limit) [![npm](https://img.shields.io/npm/dt/live-limit)](https://github.com/SeriousBug/live-limit)

A TypeScript library for managing the number of concurrent asynchronous operations. It helps prevent server overload by ensuring only a set number of network requests, database queries, or other async tasks are in flight simultaneously. This library minifies under 1kb and has zero dependencies, helping minimize your bundle size.

### [Method Middleware for Actix Web](https://github.com/SeriousBug/actix-web-query-method-middleware) [![GitHub Repo stars](https://img.shields.io/github/stars/SeriousBug/actix-web-query-method-middleware)](https://github.com/SeriousBug/actix-web-query-method-middleware) [![Crates.io](https://img.shields.io/crates/d/actix-web-query-method-middleware)](https://github.com/SeriousBug/actix-web-query-method-middleware)

Niche middleware for the Actix Web framework that allows HTML forms to be submitted using HTTP methods other than the standard 'GET' or 'POST'. This provides greater flexibility in designing web forms and RESTful APIs, allowing lightweight pages to interact with rich APIs.

### [Gandi Live Dns Rust](https://github.com/SeriousBug/gandi-live-dns-rust) [![GitHub Repo stars](https://img.shields.io/github/stars/SeriousBug/gandi-live-dns-rust)](https://github.com/SeriousBug/gandi-live-dns-rust) [![Docker Pulls](https://img.shields.io/docker/pulls/seriousbug/gandi-live-dns-rust)](https://github.com/SeriousBug/gandi-live-dns-rust)

This project simplifies domain management for dynamic IP setups. It automates DNS updates via Gandi's Live DNS feature, ensuring services remain accessible even with changing IP addresses. The solution offers both containerized (Docker) and traditional system package deployments, providing adaptability to different infrastructure environments.
