import adapter from '@sveltejs/adapter-static';
import { vitePreprocess } from '@sveltejs/kit/vite';
import { mdsvex } from 'mdsvex';

/** @type {import('@sveltejs/kit').Config} */
const config = {
	// Consult https://kit.svelte.dev/docs/integrations#preprocessors
	// for more information about preprocessors
	preprocess: [
		vitePreprocess(),
		mdsvex({
			extensions: ['.md'],
			smartypants: true,
			remarkPlugins: [],
			rehypePlugins: []
		})
	],

	extensions: ['.svelte', '.md'],

	kit: {
		adapter: adapter({
			strict: false,
			pages: 'build'
		}),
		prerender: {
			handleHttpError: 'warn'
		}
	}
};

export default config;
